<?php
require_once("Carta.php");

class Baraja {
  private $cartas;

  function __construct($numCartas) {
    $this->cartas = array();
    $this->rellenar($numCartas);
  }

  function rellenar($numCartas) {
    $imagenes = array();
    
  	while(count($imagenes) < $numCartas) {
  		array_push($imagenes, rand(1, 29));
      $imagenes = array_unique($imagenes);
  	}

    for ($i=0; $i<$numCartas; $i++) {
      array_push($this->cartas, new Carta($i+1, $imagenes[$i]));
      array_push($this->cartas, new Carta($i+1, $imagenes[$i]));
    }
  }

  function getCartas() {
    return $this->cartas;
  }

  function getNumeroCartas() {
    return count($this->cartas);
  }

  function barajar() {
    shuffle($this->cartas);
  }
 
  function extraerCarta() {
    return array_pop($this->cartas);
  }
}
?>
