<?php
function esPrimo($num) {
	$primo = false;
	for($i=1; $i < $num; $i++) {
		if ($num%$i == 0) {
			$primo = false;
		} else {
			$primo = true;
		}
	}

	return $primo;
}


class Numero {
	private $num;
	function __construct($num) {
		$this->num = $num;
	}

	function setNum($num) {
		$this->num = $num;
	}

	function getNum() {
		return $this->num;
	}

	function toBinary() {
		$bin = "";
		$aux = $this->num;
		while ($aux != 0) {
			$resto = $aux % 2;
			$bin = $bin . $resto;
			$aux = $aux << 1;
		}

		return $bin;
	}
}
?>

<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Módulo B</title>
    </head>
    <body>
        <h2>Módulo B</h2>
        <div>
			<?php
				$linea = $_POST['numeros'];
				$numeros = explode (",", $linea);
				$numeros = array_unique($numeros);
				krsort($numeros);
				$primos = new array();
				$noPrimos = new array();
	            foreach ($numeros as $num) {
					if (esPrimo($num)) {
						array_push($primos, $num);
					} else {
						array_push($noPrimos, $num);
					}
				}
				echo "<h3> Números primos </h3>";
				foreach ($primos as $num) {
					echo "$num <br>";
				}
				echo "<h3> Números no primos </h3>";
				foreach ($noPrimos as $num) {
              		$x = new Numero($num);
                	echo $num. " = " . $num->toBinary() . "<br>";
              	}
            ?>
        </div>
    </body>
</html>
